### Hierarchy

- HeaderAction

## Index

### Inputs

- active
- ariaLabel
- title

### Outputs

- activeChange
- selected

### Properties

- active
- activeChange
- ariaLabel
- selected
- title

### Methods

- onClick

## Properties

### active

@Input()
active: boolean = false

- Defined in src/ui-shell/header/header-action.component.ts:38

### activeChange

@Output()
activeChange: EventEmitter<boolean> = new EventEmitter<boolean>()

- Defined in src/ui-shell/header/header-action.component.ts:42

### ariaLabel

@Input()
ariaLabel: string

- Defined in src/ui-shell/header/header-action.component.ts:34

### selected

@Output()
selected: EventEmitter<boolean> = new EventEmitter<boolean>()

- Defined in src/ui-shell/header/header-action.component.ts:46

### title

@Input()
title: string = ""

- Defined in src/ui-shell/header/header-action.component.ts:30

## Methods

### onClick

- onClick(): void

- - Defined in src/ui-shell/header/header-action.component.ts:48

  #### Returns void

Generated using TypeDoc